## NMSettingWimax NMSettingWimax — Describes 802.16e Mobile WiMAX connection properties |

## Functions

NMSetting * | nm_setting_wimax_new ()
const char * | nm_setting_wimax_get_network_name ()
const char * | nm_setting_wimax_get_mac_address ()

## Types and Values

#define | NM_SETTING_WIMAX_SETTING_NAME
#define | NM_SETTING_WIMAX_NETWORK_NAME
#define | NM_SETTING_WIMAX_MAC_ADDRESS

## Description

The NMSettingWimax object is a NMSetting subclass that describes properties necessary for connection to 802.16e Mobile WiMAX networks.

NetworkManager no longer supports WiMAX; while this API remains available for backward-compatibility reasons, it serves no real purpose, since WiMAX connections cannot be activated.

## Functions

### nm_setting_wimax_new ()

    NMSetting *
    nm_setting_wimax_new (void);

`nm_setting_wimax_new` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Creates a new NMSettingWimax object with default values.

#### Returns

the new empty NMSettingWimax object

### nm_setting_wimax_get_network_name ()

    const char *
    nm_setting_wimax_get_network_name (NMSettingWimax *setting);

`nm_setting_wimax_get_network_name` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Returns the WiMAX NSP name (ex "Sprint" or "CLEAR") which identifies the specific WiMAX network this setting describes a connection to.

#### Parameters

setting | the NMSettingWimax |

#### Returns

the WiMAX NSP name

### nm_setting_wimax_get_mac_address ()

    const char *
    nm_setting_wimax_get_mac_address (NMSettingWimax *setting);

`nm_setting_wimax_get_mac_address` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Returns the MAC address of a WiMAX device which this connection is locked to.

#### Parameters

setting | the NMSettingWimax |

#### Returns

the MAC address

## Types and Values

### NM_SETTING_WIMAX_SETTING_NAME

    #define NM_SETTING_WIMAX_SETTING_NAME "wimax"

### NM_SETTING_WIMAX_NETWORK_NAME

    #define NM_SETTING_WIMAX_NETWORK_NAME "network-name"

### NM_SETTING_WIMAX_MAC_ADDRESS

    #define NM_SETTING_WIMAX_MAC_ADDRESS  "mac-address"